Skip to main content

Get Your API Key

1

Log in to Qwoty

Visit qwoty.app and sign in to your account
2

Navigate to Developer Settings

Go to SettingsDeveloperAPI Tokens
3

Generate a New Token

Click Create API Token and give it a descriptive name
4

Save Your Token

Copy and securely store your API token. It starts with qwoty_
Your API token will only be shown once. Store it securely!

Make Your First Request

Let’s retrieve your payment terms using cURL:
curl https://qwoty.app/api/payment-terms \
  -H "Authorization: Bearer qwoty_your_api_token_here"
Replace qwoty_your_api_token_here with your actual API token

Example Response

{
  "success": true,
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Net 30",
      "api_name": "net_30",
      "is_active": true,
      "installments": [
        {
          "name": "Full Payment",
          "percentage": 100,
          "term": "net30",
          "order_number": 1
        }
      ]
    }
  ]
}

Using Different Languages

const response = await fetch('https://qwoty.app/api/payment-terms', {
  headers: {
    Authorization: 'Bearer qwoty_your_api_token_here',
  },
})

const data = await response.json()
console.log(data)

Next Steps

Authentication

Learn more about API authentication

Create Payment Term

Create your first payment term

Error Handling

Handle API errors gracefully

Rate Limits

Understand API rate limits